--[[
************************************************************************
* Copyright 2021 by Bastien Dumont (bastien.dumont@posteo.net)
*
* This file is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This file is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this file.  If not, see <https://www.gnu.org/licenses/>.
*
************************************************************************
]]--


local List = require 'pandoc.List'
local license = nil

function Div (div)
   if div.identifier == 'license' then
      license = div.content
      return {}
   end
end

function Meta (meta)
   meta.license = license
   return meta
end
